import { PathedEvent } from './pathed-events';
export type Meta = {
    _id?: string | any;
    _createdBy: string;
    _createdDate: Date;
    _updatedBy: string;
    _updatedDate: Date;
};
export type NotificationMedium = 'call' | 'email' | 'notification' | 'sms';
export type Notification = {
    event: string;
    medium: NotificationMedium[];
    subject?: string | ((event: PathedEvent, ...args: any[]) => string);
    body: string | ((event: PathedEvent, ...args: any[]) => string);
    link?: string;
};
//# sourceMappingURL=core.d.ts.map